version: 25.6.3
files:
  - url: Trezor-Suite-25.6.3-linux-x86_64.AppImage
    sha512: OkLee1qCM9jCZiiBOwYwiN0BasGa/OUHqJ4b4qMmr3u69EbchI5rvS3XfZ5GhkCI+9x32CAjUvRxlflAenC8RQ==
    size: 183066340
    blockMapSize: 192248
path: Trezor-Suite-25.6.3-linux-x86_64.AppImage
sha512: OkLee1qCM9jCZiiBOwYwiN0BasGa/OUHqJ4b4qMmr3u69EbchI5rvS3XfZ5GhkCI+9x32CAjUvRxlflAenC8RQ==
releaseNotes: |
  ### 🚀 New features

  - Added support for Stellar (XLM) network, which can be accessed via Experimental features.
  - WalletConnect integration is now available via Experimental features, allowing you to connect Suite to popular dApps.

  ### 🎨 Improvements

  - Fonts for addresses and public keys in Suite now match those on Trezor devices to reduce visual discrepancies.
  - The transactions export menu has been improved with clarified filters and support for .csv, .pdf, and .json formats.

  ### 🔧 Bug fixes

  - Fixed minor bugs, improved usability, and optimized performance for a smoother experience.
  - Fixed an issue with the “App is hanging” error modal appearing after startup.
releaseDate: '2025-06-23T10:12:27.225Z'
stagingPercentage: 20
